Package writer2latex.office

# Class StyleWithProperties

java.lang.Object
writer2latex.office.OfficeStyle
writer2latex.office.StyleWithProperties

Direct Known Subclasses:
  `PageLayout`

public class StyleWithProperties extends OfficeStyle

Class representing a style in OOo which contains a style:properties element

## Field Summary

### Fields inherited from class writer2latex.office.OfficeStyle

`bAutomatic, family, sName`

## Constructor Summary

Constructors
Constructor
Description
`StyleWithProperties()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAbsoluteCellProperty(String sName)`
`String`
`getAbsoluteColumnProperty(String sName)`
`String`
`getAbsoluteGraphicProperty(String sName)`
`String`
`getAbsoluteLength(String sProperty)`
`String`
`getAbsoluteParProperty(String sName)`
`protected String`
`getAbsoluteProperty(int nIndex, String sProperty)`
`String`
`getAbsoluteProperty(String sProperty)`
`String`
`getAbsoluteRowProperty(String sName)`
`String`
`getAbsoluteSectionProperty(String sName)`
`String`
`getAbsoluteTableProperty(String sName)`
`String`
`getAbsoluteTextProperty(String sName)`
`String`
`getBackgroundImageProperty(String sName)`
`String`
`getCellProperty(String sName, boolean bInherit)`
`int`
`getColCount()`
`String`
`getColumnProperty(String sName, boolean bInherit)`
`String`
`getFootnoteProperty(String sPropName)`
`String`
`getGraphicProperty(String sName, boolean bInherit)`
`String`
`getParProperty(String sName, boolean bInherit)`
`protected String`
`getProperty(int nIndex, String sName, boolean bInherit)`
`String`
`getProperty(String sProperty)`
`String`
`getProperty(String sProperty, boolean bInherit)`
`String`
`getRowProperty(String sName, boolean bInherit)`
`String`
`getSectionProperty(String sName, boolean bInherit)`
`String`
`getTableProperty(String sName, boolean bInherit)`
`String`
`getTextProperty(String sName, boolean bInherit)`
`boolean`
`hasFootnoteSep()`
`boolean`
`isEmpty()`
`void`
`loadStyleFromDOM(Node node)`

### Methods inherited from class writer2latex.office.OfficeStyle

`getDisplayName, getFamily, getListStyleName, getMasterPageName, getName, getParentName, getParentStyle, isAutomatic`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StyleWithProperties

public StyleWithProperties()

## Method Details

### loadStyleFromDOM

public void loadStyleFromDOM(Node node)

Overrides:
  `loadStyleFromDOM` in class `OfficeStyle`

### isEmpty

public boolean isEmpty()

### getProperty

protected String getProperty(int nIndex, String sName, boolean bInherit)

### getTextProperty

public String getTextProperty(String sName, boolean bInherit)

### getParProperty

public String getParProperty(String sName, boolean bInherit)

### getSectionProperty

public String getSectionProperty(String sName, boolean bInherit)

### getTableProperty

public String getTableProperty(String sName, boolean bInherit)

### getColumnProperty

public String getColumnProperty(String sName, boolean bInherit)

### getRowProperty

public String getRowProperty(String sName, boolean bInherit)

### getCellProperty

public String getCellProperty(String sName, boolean bInherit)

### getGraphicProperty

public String getGraphicProperty(String sName, boolean bInherit)

### getProperty

public String getProperty(String sProperty, boolean bInherit)

### getProperty

public String getProperty(String sProperty)

### getAbsoluteProperty

protected String getAbsoluteProperty(int nIndex, String sProperty)

### getAbsoluteTextProperty

public String getAbsoluteTextProperty(String sName)

### getAbsoluteParProperty

public String getAbsoluteParProperty(String sName)

### getAbsoluteSectionProperty

public String getAbsoluteSectionProperty(String sName)

### getAbsoluteTableProperty

public String getAbsoluteTableProperty(String sName)

### getAbsoluteColumnProperty

public String getAbsoluteColumnProperty(String sName)

### getAbsoluteRowProperty

public String getAbsoluteRowProperty(String sName)

### getAbsoluteCellProperty

public String getAbsoluteCellProperty(String sName)

### getAbsoluteGraphicProperty

public String getAbsoluteGraphicProperty(String sName)

### getAbsoluteProperty

public String getAbsoluteProperty(String sProperty)

### getAbsoluteLength

public String getAbsoluteLength(String sProperty)

### getBackgroundImageProperty

public String getBackgroundImageProperty(String sName)

### getColCount

public int getColCount()

### hasFootnoteSep

public boolean hasFootnoteSep()

### getFootnoteProperty

public String getFootnoteProperty(String sPropName)